LASi: drawGlyph.cpp File Reference

LASi

Classes | Functions | Variables
drawGlyph.cpp File Reference

libLASi provides a C++ output stream interface for writing multi-language Postscript documents. More...

`#include <ostream>`
`#include <ft2build.h>`
`#include <algorithm>`
`#include <LASi.h>`
`#include <config.h>`
`#include "glyphMgr.h"`
`#include "util.h"`
`#include "memory.h"`

## Classes
struct | StateOfDrawGlyph

## Functions
static FT_Vector | operator+ (const FT_Vector &vec1, const FT_Vector &vec2)
static FT_Vector | operator* (const FT_Vector &vec1, const int n)
static FT_Vector | operator* (const int n, const FT_Vector &vec1)
static FT_Vector | operator/ (const FT_Vector &vec1, const int n)
static ostream & | operator<< (ostream &os, const FT_Vector &ftVec)
static int | xTo (const FT_Vector *pftVec, void *const data, const char *const cmd)
static int | moveTo (FT_Vector *pftVec, void *data)
static int | lineTo (FT_Vector *pftVec, void *data)
static int | cubicTo (FT_Vector *ctrlPt1, FT_Vector *ctrlPt2, FT_Vector *pEndPt, void *data)
static int | conicTo (FT_Vector *pCtrlPt, FT_Vector *pEndPt, void *data)

## Variables
static const FT_Outline_Funcs | outlineFuncs = {moveTo, lineTo, conicTo, cubicTo}

## Detailed Description

libLASi provides a C++ output stream interface for writing multi-language Postscript documents.

Copyright (C) 2003 Larry Siden. See README file in project root directory for copyright and contact info. See COPYING file in project root for terms of re-distribution.

## Function Documentation

## ◆ conicTo()

static int conicTo | ( | FT_Vector * | pCtrlPt,
|  | FT_Vector * | pEndPt,
|  | void * | data
| ) |  |
| static

References cubicTo(), and StateOfDrawGlyph::startPt().

Referenced by cubicTo().

## ◆ cubicTo()

static int cubicTo | ( | FT_Vector * | ctrlPt1,
|  | FT_Vector * | ctrlPt2,
|  | FT_Vector * | pEndPt,
|  | void * | data
| ) |  |
| static

References conicTo(), StateOfDrawGlyph::os(), and StateOfDrawGlyph::setStartPt().

Referenced by conicTo(), and lineTo().

## ◆ lineTo()

static int lineTo | ( | FT_Vector * | pftVec,
|  | void * | data
| ) |  |
| static

References cubicTo(), and xTo().

Referenced by moveTo().

## ◆ moveTo()

static int moveTo | ( | FT_Vector * | pftVec,
|  | void * | data
| ) |  |
| static

References StateOfDrawGlyph::isNewPath(), lineTo(), StateOfDrawGlyph::os(), StateOfDrawGlyph::setNewPathFalse(), and xTo().

Referenced by xTo().

## ◆ operator*() [1/2]

static FT_Vector operator* | ( | const FT_Vector & | vec1,
|  | const int | n
| ) |  |
| static

Referenced by operator*().

## ◆ operator*() [2/2]

static FT_Vector operator* | ( | const int | n,
|  | const FT_Vector & | vec1
| ) |  |
| static

References operator*().

## ◆ operator+()

static FT_Vector operator+ | ( | const FT_Vector & | vec1,
|  | const FT_Vector & | vec2
| ) |  |
| static

## ◆ operator/()

static FT_Vector operator/ | ( | const FT_Vector & | vec1,
|  | const int | n
| ) |  |
| static

## ◆ operator<<()

static ostream& operator<< | ( | ostream & | os,
|  | const FT_Vector & | ftVec
| ) |  |
| static

## ◆ xTo()

static int xTo | ( | const FT_Vector * | pftVec,
|  | void *const | data,
|  | const char *const | cmd
| ) |  |
| static

References moveTo(), StateOfDrawGlyph::os(), and StateOfDrawGlyph::setStartPt().

Referenced by lineTo(), and moveTo().

## Variable Documentation

## ◆ outlineFuncs

const FT_Outline_Funcs outlineFuncs = {moveTo, lineTo, conicTo, cubicTo}
| static